Name:           perl-Gtk2-Notify
Version:        0.04
Release:        1%{?dist}
Summary:        Perl interface to libnotify
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Gtk2-Notify/
Source0:        http://www.cpan.org/modules/by-module/Gtk2/Gtk2-Notify-%{version}.tar.gz
#Source0: http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Gtk2-Notify-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# non-perl
BuildRequires:  libnotify-devel
# core
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(ExtUtils::MakeMaker), libnotify-devel
BuildRequires:  perl(Glib) >= 1.093, perl(Gtk2)
BuildRequires:  perl(ExtUtils::Depends), perl(ExtUtils::PkgConfig)

# for tests...
%{?_with_display_tests:BuildRequires:  perl(Test::Pod::Coverage) >= 1.04, perl(Test::Pod) >= 1.14}

# libnotify-devel seems to be missing this.  see BZ#216946
BuildRequires:  gtk2-devel

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl bindings to libnotify.  This module will allow one to use the notify
functionality from within a perl application.

%prep
%setup -q -n Gtk2-Notify-%{version}

find t/ -type f -exec perl -pi -e 's|^#!perl|#!/usr/bin/perl|' {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# tests all bomb under mock, unfortunately
%{?_with_display_tests: make test}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README examples/ t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Gtk2*
%{_mandir}/man3/*

%changelog
* Mon Nov 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- update to 0.04

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-2
- bump

* Thu May 31 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- update to 0.03
- add t/ to doc
- spec updates to deal with the once and future perl split

* Mon Nov 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-4
- bump

* Mon Nov 27 2006 Chris Weyl <cweyl@alumni.drew.edu>
- change source0 to pull from an alternate CPAN location

* Wed Nov 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-2
- conditionalize tests as they tend to die horribly under mock

* Wed Nov 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-1
- Specfile autogenerated by cpanspec 1.69.1.
